# gds-breadcrumb

**Class**: `GdsBreadcrumb`

**Tag**: `<gds-breadcrumb>`


## Properties

| Name | Type | Default | Description |
|------|------|---------|-------------|
| `href` | `string` | `-` | The URL that the breadcrumb item points to. |
| `target` | `'_self' \| '_blank' \| '_parent' \| '_top' \| undefined` | `-` | Where to display the linked breadcrumb URL. Only used when href is present. |
| `rel` | `string \| undefined` | `-` | The relationship of the linked breadcrumb URL. Defaults to "noreferrer noopener" when target is "_blank". |
| `label` | `string` | `-` | Accessible label for the breadcrumb item. Use when visual text needs a different description. |
| `overflow` | `boolean` | `-` | When true, the breadcrumb item will render as an overflow menu instead of a regular link. |


## Slots

| Name | Description |
|------|-------------|
| `(default)` | Default slot for the breadcrumb content |
| `lead` | Optional slot for leading content (usually icons) |
| `trail` | Optional slot for trailing content |


## Routing Support

This component supports routing via the `href` property.
